<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscOptionsSetFromOptions</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscOptionsSetFromOptions"><H1>PetscOptionsSetFromOptions</H1></A>
Sets various <A HREF="../SNES/SNES.html#SNES">SNES</A> and <A HREF="../KSP/KSP.html#KSP">KSP</A> parameters from user options. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode PETSC_DLLEXPORT PetscOptionsSetFromOptions()
</PRE>
Collective on <A HREF="../Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>
<P>
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-options_monitor &lt;optional filename&gt; </B></TD><TD>- prints the names and values of all 
runtime options as they are set. The monitor functionality is not 
available for options set through a file, environment variable, or on 
the command line. Only options set after <A HREF="../Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A> completes will 
be monitored.
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-options_cancelmonitors </B></TD><TD>- cancel all options database monitors    
</TD></TR>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
To see all options, run your program with the -help option or consult
the users manual.
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 set, options, database
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/options.c.html#PetscOptionsSetFromOptions">src/sys/objects/options.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
